Bug 823236 - Review Request: sugar-recall - A series of memory games
Review Request: sugar-recall - A series of memory games
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Callaghan
Fedora Extras Quality Assurance
:
: 840430 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 02:20 EDT by Kalpa Welivitigoda
Modified: 2012-07-26 18:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-26 18:23:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcallagh: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kalpa Welivitigoda 2012-05-20 02:20:32 EDT
Spec URL: http://callkalpa.fedorapeople.org/sugar-recall/sugar-recall.spec
SRPM URL: http://callkalpa.fedorapeople.org/sugar-recall/sugar-recall-2-1.fc16.src.rpm
Description:

I packaged Recall which is a series of games for sugar. Those games help to increase the memorizing capacity of children. As the children go further the game they become more difficult.
Comment 1 Dan Callaghan 2012-07-01 08:07:19 EDT
A few issues at the bottom.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint sugar-recall-2-1.fc18.noarch.rpm

sugar-recall.noarch: W: spelling-error %description -l en_US ablity -> ability
sugar-recall.noarch: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint sugar-recall-2-1.fc18.src.rpm

sugar-recall.src: W: spelling-error %description -l en_US ablity -> ability
sugar-recall.src: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/dan/fedora/reviews/823236/Recall-2.tar.bz2 :
  MD5SUM this package     : 63ac31f65f5b78d1c48ffc21ddc11925
  MD5SUM upstream package : 63ac31f65f5b78d1c48ffc21ddc11925

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[-]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Each %files section contains %defattr if rpm < 4.4
Remove %defattr if not targetting EPEL5.
[!]: MUST License field in the package spec file matches the actual license.
sprites.py is under MIT license, not GPL.
[!]: MUST Rpmlint output is silent.
Please fix the typo "ablity" in %description.

rpmlint sugar-recall-2-1.fc18.noarch.rpm

sugar-recall.noarch: W: spelling-error %description -l en_US ablity -> ability
sugar-recall.noarch: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint sugar-recall-2-1.fc18.src.rpm

sugar-recall.src: W: spelling-error %description -l en_US ablity -> ability
sugar-recall.src: W: non-standard-group Sugar/Activities
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
Same issue with Requires: /usr/bin/env as your other review in bug 823234.


Generated by fedora-review 0.1.3
External plugins:
Comment 2 Kalpa Welivitigoda 2012-07-02 23:48:30 EDT
Let's just ignore the issue the same way in https://bugzilla.redhat.com/show_bug.cgi?id=823234
Comment 3 Dan Callaghan 2012-07-09 20:50:03 EDT
Agreed, we can ignore the extraneous Requires: /usr/bin/env. Can you please update the spec to fix the other three issues?
Comment 4 Kalpa Welivitigoda 2012-07-10 11:20:25 EDT
Dan, here are the new files after fixing the issues,

Spec URL: http://callkalpa.fedorapeople.org/sugar-recall/sugar-recall.spec
SRPM URL: http://callkalpa.fedorapeople.org/sugar-recall/sugar-recall-2-2.fc17.src.rpm
Comment 5 Dan Callaghan 2012-07-10 20:27:43 EDT
Good job, Kalpa.

This package is APPROVED.
Comment 6 Kalpa Welivitigoda 2012-07-12 12:01:21 EDT
Thanks Dan.
Comment 7 Kalpa Welivitigoda 2012-07-12 12:02:28 EDT
New Package SCM Request
=======================
Package Name: sugar-recall
Short Description: A series of memory games
Owners: callkalpa
Branches: f15 f16 f17
InitialCC:
Comment 8 Jason Tibbitts 2012-07-13 19:51:49 EDT
It's far too late for F15 branches; it's already gone EOL.

Otherwise....
Git done (by process-git-requests).
Comment 9 Danishka Navin 2012-07-16 10:22:08 EDT
*** Bug 840430 has been marked as a duplicate of this bug. ***
Comment 10 Fedora Update System 2012-07-18 12:01:50 EDT
sugar-recall-2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/sugar-recall-2-2.fc16
Comment 11 Fedora Update System 2012-07-18 12:02:01 EDT
sugar-recall-2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/sugar-recall-2-2.fc17
Comment 12 Fedora Update System 2012-07-19 04:55:23 EDT
sugar-recall-2-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 13 Fedora Update System 2012-07-26 18:23:28 EDT
sugar-recall-2-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-07-26 18:24:26 EDT
sugar-recall-2-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.